%global npm_name forever-agent
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.6.1
Release: %mkrel 5
Summary: HTTP Agent that keeps socket connections alive between keep-alive requests
License: ASL 2.0
Group: Development/Other
URL: https://github.com/mikeal/forever-agent#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.1-5.mga10
+ Revision: 2208217
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.6.1-4.mga9
+ Revision: 1818453
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.1-3.mga8
+ Revision: 1502678
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.1-2.mga7
+ Revision: 1280482
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.6.1-1.mga7
+ Revision: 1224766
- imported package nodejs-forever-agent

